Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.opengis.sld
Interface FeatureStyle

    @XmlElement(value="FeatureTypeStyle")
    public interface FeatureStyle

Represents a style that applies to the features of a given type.

Since:
  GeoAPI 2.0
Version:
  Implementation specification 1.0

Method Summary
`InternationalString` | `getAbstract()` Returns a human readable, prose description of this style.
`String` | `getFeatureTypeName()` Returns the name of the feature type that this style is meant to act upon.
`String` | `getName()` Returns a name for this style.
`List<Rule>` | `getRules()` Returns the list of rules contained by this style.
`List<String>` | `getSemanticTypeIdentifiers()` Returns a string that identifies the more general "type" of geometry that this style is meant to act upon.
`InternationalString` | `getTitle()` Returns the human readable title of this style.
`void` | `setAbstract(InternationalString abs)` Sets the human readable, prose description of this style.
`void` | `setFeatureTypeName(String featureTypeName)` Sets the name of the feature type that this style is meant to act upon.
`void` | `setName(String name)` Sets the name for this style.
`void` | `setTitle(InternationalString title)` Sets the human readable title of this style.

Method Detail

### getName

    @XmlElement(value="Name")
    String getName()

  Returns a name for this style. This can be any string that uniquely identifies this style within a given canvas. It is not meant to be human-friendly. (The "title" property is meant to be human friendly.)

### setName

    @XmlElement(value="Name")
    void setName(String name)

  Sets the name for this style. See `getName()` for details.

### getTitle

    @XmlElement(value="Title")
    InternationalString getTitle()

  Returns the human readable title of this style. This can be any string, but should be fairly short as it is intended to be used in list boxes or drop down menus or other selection interfaces.

### setTitle

    @XmlElement(value="Title")
    void setTitle(InternationalString title)

  Sets the human readable title of this style. See `getTitle()` for details.

### getAbstract

    @XmlElement(value="Abstract")
    InternationalString getAbstract()

  Returns a human readable, prose description of this style. This can be any string and can consist of any amount of text.

### setAbstract

    @XmlElement(value="Abstract")
    void setAbstract(InternationalString abs)

  Sets the human readable, prose description of this style. See `getAbstract()` for details.

### getFeatureTypeName

    @XmlElement(value="FeatureTypeName")
    String getFeatureTypeName()

  Returns the name of the feature type that this style is meant to act upon. This may return null if a style can operate on many different feature types.

### setFeatureTypeName

    @XmlElement(value="FeatureTypeName")
    void setFeatureTypeName(String featureTypeName)

  Sets the name of the feature type that this style is meant to act upon. See `getFeatureTypeName()` for details.

### getSemanticTypeIdentifiers

    @XmlElement(value="SemanticTypeIdentifier")
    List<String> getSemanticTypeIdentifiers()

  Returns a string that identifies the more general "type" of geometry that this style is meant to act upon. In the current OGC specifications, this is an experimental element and can take only one of the following values:

  - `generic:point`
  - `generic:line`
  - `generic:polygon`
  - `generic:text`
  - `generic:raster`
  - `generic:any`

  The returned list is the "live" list and can be modified, both by adding and removing rules. This is why there is no `setSemanticTypeIdentifiers` method.

### getRules

    @XmlElement(value="Rule")
    List<Rule> getRules()

  Returns the list of rules contained by this style. The returned list is the "live" list and can be modified, both by adding and removing rules. This is why there is no `setRules` method.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.